org.apache.olingo.odata2.jpa.processor.ref.model

## Class Note

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.Note

-     @Entity
      public class Note
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Note()`
    `Note(Calendar creationTime, Calendar creationDate, String createdBy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCreatedBy()`
    `Calendar` | `getCreationDate()`
    `Calendar` | `getCreationTime()`
    `SalesOrderHeader` | `getSalesOrderHeader()`
    `long` | `getSoId()`
    `Clob` | `getText()`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setCreationDate(Calendar creationDate)`
    `void` | `setCreationTime(Calendar creationTime)`
    `void` | `setSalesOrderHeader(SalesOrderHeader salesOrderHeader)`
    `void` | `setSoId(long soId)`
    `void` | `setText(Clob text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Note

          public Note()

    - #### Note

          public Note(Calendar creationTime,
                      Calendar creationDate,
                      String createdBy)

  - ### Method Detail

    - #### getCreationTime

          public Calendar getCreationTime()

    - #### setCreationTime

          public void setCreationTime(Calendar creationTime)

    - #### getCreationDate

          public Calendar getCreationDate()

    - #### setCreationDate

          public void setCreationDate(Calendar creationDate)

    - #### getCreatedBy

          public String getCreatedBy()

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

    - #### getText

          public Clob getText()

    - #### setText

          public void setText(Clob text)

    - #### getSoId

          public long getSoId()

    - #### setSoId

          public void setSoId(long soId)

    - #### getSalesOrderHeader

          public SalesOrderHeader getSalesOrderHeader()

    - #### setSalesOrderHeader

          public void setSalesOrderHeader(SalesOrderHeader salesOrderHeader)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.